require 'rails_helper'

RSpec.describe Recipe, type: :model do
  context 'missing name' do
    let(:recipe) { FactoryGirl.build(:recipe, name: nil) }

    it 'requires a name' do
      expect(recipe).not_to be_valid
    end
  end

  context 'missing description' do
    let(:recipe){FactoryGirl.build(:recipe, description: nil)}

    it 'requires a description' do
      expect(recipe).not_to be_valid
    end
  end

  context 'missing type' do
    let(:recipe){FactoryGirl.build(:recipe, type_id: nil)}
    
    it 'requires a type' do
      expect(recipe).not_to be_valid
    end
  end

  context 'valid recipe' do
    let(:recipe){FactoryGirl.build(:recipe)}

    it 'is valid' do
      expect(recipe).to be_valid
    end
  end

end 